Subject: Re: bug#6555: stat enhancement

From: Jim Meyering <[email-masked]>
Date: Mon, 05 Jul 2010 14:48:43 +0200

Pádraig Brady wrote:
> On 02/07/10 21:49, A Burgie wrote:
>> To Whom it May Concern:
>>
>> I have made a small change to the stat command adding in the ability
>> to print the mountpoint of the specified file/directory.  This is
>> something I have heard several others (besides myself) trying to do
>> via various methods involving the df command or some recursive
>> directory traversals but which would make sense in the stat command.
>> Michael Meskes suggested CC-ing [email-masked] as well which I am
>> doing.
>>
>> Reading through the submission process for the package I am not sure
>> if the actual e-mail body should be the output of the 'git
>> format-patch --stdout -1' command or not so I am attaching it.  If
>> preferred I will send it inline next time and in the future.

Inline is slightly preferred.
No big deal.

> The idea seems sensible.

I think so, too.
However, the patch that adds the option would do well to add
a test that exercises it and to mention it in the NEWS file.
Your change will qualify as "significant".
Can you file a copyright assignment?  Here are guidelines:

    http://git.savannah.gnu.org/cgit/coreutils.git/tree/HACKING#n327

> Using df on a file _is_ a little unintuitive,
> and also parsing the output from df is awkward.
>
> You copied (while re-indenting with non GNU options)
> the find_mount_point() function from df.c to stat.c
> We'll have to refactor that out for both to use
> (if indeed it's the best method to use which I've not
> looked into at this stage).

Yes, it has to be factored out.
I haven't looked either, yet ;-)

Thanks for contributing!